Subject: RE: AgentX web site update and other matters

From: "Natale, Robert C (Bob)" <[email-masked]>
Date: Thu, 12 Dec 2002 18:29:41 -0500

Hi Frank,

1.  I am sorry that it appears that your earlier
message may have gotten lost.  I don't recall seeing
it myself.  In any case, I will (hereby) ask Dave
Sweeney to update the AgentX++ info at his earliest
convenience.  Of course, he usually beats me off
the line on this kind of thing anyway! :-)

2.  Wrt your observation about AgentX gaining
mindshare/marketshare in the past half year or
so, I can only say that my informal observations
confirm yours.  Of course, we've had a pretty
strong base of implementations right from the
Proposed Standard phase (now grown by one, to
14 reported implementations) and the advancement
to Draft Standard helped to re-energize things
a bit too.  To be fair, I would credit both
the AgentX++ and NET-SNMP discussion forums
for facilitating AgentX deployment growth as
much as any other cause.

A reminder to all:  At some point in the not
too distant future, we will have to consider
re-activating the WG for consideration of
advancement to Full Standard or, more probably,
additional work to keep AgentX up-to-date wrt
SNMPv3, SMIv3/ng, EoS, etc. (which will likely
require recycling in the process, I suppose).
The AgentX e-mail list remains open for
discussions related to those issues -- and
additional implementation and/or interoperability
reports! :-)

Cheers,

BobN
- - - - -
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, December 12, 2002 6:02 PM
> To: Natale, Robert C (Bob)
> Cc: AgentX Mailing List
> Subject: Re: AgentX Implementation Report from iReasoning Networks
> 
> 
> Hi Bob,
> 
> Reading your email I rembered that I tried
> some time ago to get the info about AgentX++
> updated on www.scguild.com/agentx/
> 
> May be my email got lost... ;-(
> 
> Anyway, could you please update the text with:
> 
> Contact: [email-masked]
> URL: http://www.agentpp.com
> Status: 
> 
> 
>   * C++ API based on AGENT++/SNMP++ that
>     supports AgentX master and subagents.
> 
>   * Supports SNMPv1/v2c/v3 and at least the
>     following operating systems:
>     Solaris 7/8, HPUX 11, Cygwin, Linux,
>     Windows NT/2000/XP
> 
>   * Free for non-commercial use. Source code.
> 
>   * AgentX++ implements all features of the AgentX
>     protocol, including but not limited to the following:
> 
>     - UNIX domain socket connections on UNIX systems
>     - TCP connections on UNIX and Windows NT
>     - Non-default contexts
>     - Shared tables, including INDEX allocation
>     - Uses AgentX GETBULK
>     - AgentX request timeout handling
>     - AgentX MIB
>     - Atomic SET requests across multiple subagents
>     - Seamless adding and dropping of connections and sessions
> 
>   * AgenPro a powerful fully customizable code generator with
>     open source code generation backend and round-trip engineering
>     support is also available with code generation templates for
>     AgentX++.
> 
>   * Existing AGENT++ agents may be migrated to
>     an AgentX master or subagent without changing
>     the management instrumentation.
> 
>   Any comments, suggestions, and bug reports are
>   highly appreciated.
> 
> --
> 
> Many thanks,
> Frank
> 
> P.S.: Are my observations right, that the interest in
> AgentX has strongly grown within the past six months?